Utilisation de PHP embarqué
Installation pour Apache sur les clients MacOS X
Installation sur un système Mac OS X
PHP Manual

## Compilation pour les serveurs OS X

1. Téléchargez les dernières distributions d'Apache et PHP.

2. Décompressez-les, et utilisez le script configure sur Apache, comme ceci.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache

3. Si vous voulez que le compilateur fasse certaines optimisations, ajoutez cette ligne :

       setenv OPTIM=-O2

4. Puis, allez dans le dossier PHP 4 et configurez PHP.

       ./configure --prefix=/usr \
           --sysconfdir=/etc \
           --localstatedir=/var \
           --mandir=/usr/share/man \
           --with-xml \
           --with-apache=/src/apache_1.3.12

   Si vous avez d'autres extensions à ajouter (MySQL, GD, etc.), assurez-vous de placer les bonnes options ici. Pour la chaîne --with-apache, ajoutez le chemin de votre distribution source apache, par exemple, /src/apache_1.3.12.
5. Tapez make puis make install. Cela va ajouter un dossier à votre distribution Apache, sous src/modules/php4.

6. Maintenant, reconfigurez Apache pour compiler PHP 4.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache \
       --activate-module=src/modules/php4/libphp4.a

   Vous pouvez recevoir un message qui vous dit que libmodphp4.a est trop ancien. Si c'est le cas, allez dans le dossier src/modules/php4 de votre distribution Apache et utilisez cette commande : ranlib libmodphp4.a. Puis retournez à la racine de la distribution Apache et lancez la commande configure ci-dessus. Cela aura mis la table de liens à jour. Lancez à nouveau make et make install.
7. Copiez et renommez le fichier php.ini-development dans votre dossier bin de votre dossier PHP : `cp php.ini-development /usr/local/bin/php.ini` ou, si vous n'avez pas de dossier local : `cp php.ini-development /usr/bin/php.ini`.

Utilisation de PHP embarqué
Installation pour Apache sur les clients MacOS X
Installation sur un système Mac OS X
PHP Manual